module Iowa

class Association
	
	def initialize(association)
		@association = association
	end
end

class PathAssociation < Association

	def get(object)
		object.valueForKeyPath(@association)
	end
	
	def set(object, val)
		object.takeValueForKeyPath(val, @association)
	end
end

class LiteralAssociation < Association

	def get(object)
		@association
	end
	
	def set(object, val)
		raise "attempted to set literal association"
	end
end

end