#!/usr/local/bin/ruby 

require 'iowa'
require 'iowa/DbPool'

class MySession < Iowa::Session

  def initialize(*args)
    #####
    #// Invoke the superclass
    #####

    @full_state_list = ['ALABAMA','AL','ALASKA','AK','AMERICAN SAMOA','AS','ARIZONA','AZ','ARKANSAS','AR','CALIFORNIA','CA','COLORADO','CO','CONNECTICUT','CT','DELAWARE','DE','DISTRICT OF COLUMBIA','DC','FEDERATED STATES OF MICRONESIA','FM','FLORIDA','FL','GEORGIA','GA','GUAM','GU','HAWAII','HI','IDAHO','ID','ILLINOIS','IL','INDIANA','IN','IOWA','IA','KANSAS','KS','KENTUCKY','KY','LOUISIANA','LA','MAINE','ME','MARSHALL ISLANDS','MH','MARYLAND','MD','MASSACHUSETTS','MA','MICHIGAN','MI','MINNESOTA','MN','MISSISSIPPI','MS','MISSOURI','MO','MONTANA','MT','NEBRASKA','NE','NEVADA','NV','NEW HAMPSHIRE','NH','NEW JERSEY','NJ','NEW MEXICO','NM','NEW YORK','NY','NORTH CAROLINA','NC','NORTH DAKOTA','ND','NORTHERN MARIANA ISLANDS','MP','OHIO','OH','OKLAHOMA','OK','OREGON','OR','PALAU','PW','PENNSYLVANIA','PA','PUERTO RICO','PR','RHODE ISLAND','RI','SOUTH CAROLINA','SC','SOUTH DAKOTA','SD','TENNESSEE','TN','TEXAS','TX','UTAH','UT','VERMONT','VT','VIRGIN ISLANDS','VI','VIRGINIA','VA','WASHINGTON','WA','WEST VIRGINIA','WV','WISCONSIN','WI','WYOMING','WY']
    @full_state_hash = {}
    @full_inverse_state_hash = {}
    count = 0
    while (count < (@full_state_list.length / 2))
      state = @full_state_list[count * 2]
      abbv = @full_state_list[count * 2 + 1]
      @full_state_hash[state] = abbv
      @full_inverse_state_hash[abbv] = state
      count += 1
    end

    super
  end
end

class MyApplication < Iowa::Application

  attr_accessor :dbpool, :br_dbpool

	def initialize(*args)
		#####
		#// Initialize the application wide database connection pool.
		###
		@dbpool = Iowa::DbPool.new('Mysql','localhost','christinemcmahon','cma','cma1!',1) 
		@br_dbpool = Iowa::DbPool.new('Mysql','localhost','br','enigo','enigo1!',1)
		super
	end
end

Iowa.startDaemon('guestbook.cnf')
Iowa.run
