require 'iowa'

class MySession < Iowa::Session

	attr_reader :hitCount
	
	def initialize(*args)
		@hitCount = 0
		super
	end
	
	def handleRequest(context)
		@hitCount += 1
		super
	end
end

class MyApplication < Iowa::Application

	attr_reader :hitCount
	
	def initialize(*args)
		@hitCount = 0
		super
	end
	
	def handleRequest(context)
		@hitCount += 1
		super
	end
end

exit if fork
Process.setsid
Iowa.run('guestbook')